package ch.uzh.ifi.ddis.ifp.streams;

/*
 * #%L
 * Esper implementation of Streams Nodes
 * %%
 * Copyright (C) 2013 University of Zurich
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * #L%
 */

import stream.io.Sink;

/**
 * <p>
 * This bean holds all information which may be provided for an Esper statement.
 * </p>
 * 
 * @author Thomas Scharrenbach
 * @version 0.2.4
 * @since 0.2.4
 * 
 */
public class StatementBean {

	private String _name;

	private String[] _output;

	private String _esperStatement;

	//
	//
	//

	public StatementBean() {

	}

	//
	//
	//

	/**
	 * @return if {@link #getName()} is not null, then return {@link #getName()}
	 *         , {@link Object#toString()} otherwise.
	 */
	@Override
	public String toString() {
		final String result = getName();
		return result == null ? super.toString() : result;
	}

	@Override
	public int hashCode() {
		final String result = getName();
		return result == null ? super.hashCode() : result.hashCode();
	}

	//
	//
	//

	public String getName() {
		return _name;
	}

	public void setName(String name) {
		_name = name;
	}

	/**
	 * 
	 * @return name of the {@link Sink} where to send the output to.
	 */
	public String[] getOutput() {
		return _output;
	}

	public void setOutput(String[] output) {
		_output = output;
	}

	public String getEsperStatement() {
		return _esperStatement;
	}

	public void setEsperStatement(String esperStatement) {
		_esperStatement = esperStatement;
	}

}
